#pragma once
#include "Entity.h"
//΅Ό΅―£¨ΕΧΙδΞο£©
class CS_AmMissile :
    public Entity
{
public:
    CS_AmMissile(std::shared_ptr<Entity> parent);
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int act_no = 0;
    int count1 = 0;
};

void SetCS_AmMissile(std::shared_ptr<Entity> parent, float x, float y, float vx, float vy);